Passer au contenu principal
GET
/
2
/
webhooks
Récupérer le webhook
curl --request GET \
  --url https://api.x.com/2/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "id": "1146654567674912769",
      "url": "<string>",
      "valid": true
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "meta": {
    "result_count": 123
  }
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de requête

webhook_config.fields
enum<string>[]

Une liste, séparée par des virgules, de champs WebhookConfig à renvoyer. Les champs disponibles pour un objet WebhookConfig.

Minimum array length: 1
Options disponibles:
created_at,
id,
url,
valid
Exemple:
["created_at", "id", "url", "valid"]

Réponse

La requête a réussi.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).

meta
object